html { width: 100%; height: 100%; background: #000000; }
body { padding: 0; margin: 0; width: 100%; height: 100% }
/* #unity-container { position: absolute } */
#unity-container.unity-desktop { left: 50%; top: 50%; transform: translate(-50%, -50%) }
#unity-container.unity-mobile { position: fixed; width: 100%; height: 100% }
#unity-canvas { width: 50%; height: 50%; background: #000000; box-shadow: 0px 0px 10px black; }
.unity-mobile #unity-canvas { width: 100%; height: 100% }
#unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none; }
#unity-logo { width: 154px; height: 130px; filter: invert(1); background: url('unity-logo-light.png') no-repeat center }
#unity-progress-bar-empty { width: 141px; height: 18px; margin-top: 10px; margin-left: 6.5px; background: url('progress-bar-empty-light.png') no-repeat center }
#unity-progress-bar-full { width: 0%; height: 18px; filter: invert(1); margin-top: 10px; background: url('progress-bar-full-light.png') no-repeat center }
#unity-footer { position: relative }
.unity-mobile #unity-footer { display: none }
#unity-logo-title-footer { float:left; width: 102px; height: 38px; background: url('unity-logo-title-footer.png') no-repeat center }
#unity-build-title { float: right; margin-right: 10px; line-height: 38px; font-family: arial; font-size: 18px }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

/* New styles for the background image */
.custom-background {
  background-image: url('../background.png');
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}

.custom-background::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Adjust the last value (0.5) to change the darkness of the overlay */
    z-index: 1;
  }
  
  /* Ensure Unity container is above the overlay */
  #unity-container {
    position: absolute;
    z-index: 2;
  }

/* Optional: Provide alternative focus styles for accessibility */
#unity-canvas {
    outline: none;
}

#unity-canvas:focus {
    outline: none;
}